from taller_programacion import *

"""
Pongamos en práctica unas cuantas condiciones!!
"""

imprimir("Tienes 5 segundos para pulsar cualquier botón")		# Mostramos un mensaje para que se pulse un botón
dormir(5)														# Esperamos a que se pulsen los botones

if mandos.boton1Pulsado():										# si el boton 1 se ha pulsado...
    imprimir("El botón 1 se ha pulsado")						# Entonces imprimimos este mensaje
    
if mandos.boton2Pulsado():										# si el boton 2 se ha pulsado...
    imprimir("El botón 2 se ha pulsado")						# Entonces imprimimos este mensaje


"""
Ahora jugamos girando los mandos
"""

imprimir("Tienes 5 segundos para girar los mandos")				# Mostramos un mensaje para que se pulse un botón
dormir(5)														# Esperamos a que se pulsen los botones

valor_mando1 = mandos.posiciones_mando1							# Guardamos el valor de las posiciones que se ha movido el mando
valor_mando2 = mandos.posiciones_mando2							# Guardamos el valor de las posiciones que se ha movido el mando

if valor_mando1 != 0:											# si el mando1 se ha movido
    imprimir("El mando 1 se ha movido:")						# Entonces imprimimos este mensaje
    imprimir(valor_mando1)
if valor_mando2 != 0:											# si el mando1 se ha movido
    imprimir("El mando 2 se ha movido:")						# Entonces imprimimos este mensaje
    imprimir(valor_mando2)



"""
Encendemos unas luces dependiendo de cuanto se ha movido un mando?
"""

imprimir("Tienes 5 segundos para girar los mandos y encender unas luces")				# Mostramos un mensaje para que se pulse un botón
dormir(5)														# Esperamos a que se pulsen los botones

valor_mando1 = mandos.posiciones_mando1							# Guardamos el valor de las posiciones que se ha movido el mando
valor_mando2 = mandos.posiciones_mando2							# Guardamos el valor de las posiciones que se ha movido el mando

if valor_mando1 > 0:											# si el mando1 se ha movido en sentido horario
    imprimir("El mando 1 enciende el led número:")				# imprimimos un mensaje
    imprimir(valor_mando1)										# imprimimos el valor de los pasos que ha dado
    luces.pintarLed(numero_de_led=valor_mando1, color="rojo")	# pintamos el numero de led que coincida con los pasos que se han dado
    luces.iluminar()											# iluminamos los leds
    
if valor_mando2 > 0:											# si el mando2 se ha movido en sentido horario										
    imprimir("El mando 2 enciende el led número:")				# imprimimos un mensaje
    imprimir(valor_mando2)										# imprimimos el valor de los pasos que ha dado
    luces.pintarLed(numero_de_led=valor_mando2, color="verde")	# pintamos el numero de led que coincida con los pasos que se han dado
    luces.iluminar()											# iluminamos los leds



